Subject: Re: bug#23372: 25.0.93; text-quoting-style missing from manual and from customize

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Apr 2016 09:43:53 +0300

> From: John Wiegley <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 26 Apr 2016 20:02:16 -0400
> 
> >> It _should_ be a user option. You've radically changed the default behavior
> >> of Emacs. Give individual users a simple way to undo your choice. This is
> >> at least as important as letting a user change the default appearance of a
> >> face.
> 
> > I don't think we know enough about the impact of this feature to make that
> > decision at this time. We will have to see how it is accepted by the users
> > out there first. It could be deemed by the majority as the best invention
> > since sliced bread. Having a variable to disable it is a good fire escape
> > for now.
> 
> I believe it should be a customizable option. Reason: I want to customize that
> option and turn it off; and I'd much rather use customize-option to do it than
> add Lisp code to my .emacs (which I almost never have to do for variables, so
> I don't see why this should be a special case).

I don't object too strongly to having this as a defcustom, but I still
want to point out that having 2 (or 3) people who want this as a
defcustom is not necessarily a large enough sample for us to change
past decisions before we release even a single Emacs version with the
feature.  It is easy to make a variable into a defcustom; the inverse
is generally much harder.

> So, would someone please make this variable into a customizable
> option? I can do so by the weekend if no one else gets to it.

If it's going to be a defcustom, I guess we need suitable changes in
NEWS and in the user manual.